<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC API Reference: erpc::RequestContext Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC API Reference
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>API&#160;Reference</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpc_1_1_request_context.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpc_1_1_request_context-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpc::RequestContext Class Reference<div class="ingroups"><a class="el" href="group__infra.html">Infrastructure</a> &raquo; <a class="el" href="group__infra__client.html">Client</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Encapsulates all information about a request.  
 <a href="classerpc_1_1_request_context.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="client__manager_8h_source.html">client_manager.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for erpc::RequestContext:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><iframe scrolling="no" frameborder="0" src="classerpc_1_1_request_context__coll__graph.svg" width="318" height="231"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae48f8baa20da5d4ac5da77e83758e6a5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#ae48f8baa20da5d4ac5da77e83758e6a5">RequestContext</a> (uint32_t sequence, <a class="el" href="classerpc_1_1_codec.html">Codec</a> *codec, bool <a class="el" href="classerpc_1_1_request_context.html#a717418b0a8461c283537f5545442d5ae">isOneway</a>)</td></tr>
<tr class="memdesc:ae48f8baa20da5d4ac5da77e83758e6a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ae48f8baa20da5d4ac5da77e83758e6a5">More...</a><br /></td></tr>
<tr class="separator:ae48f8baa20da5d4ac5da77e83758e6a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0fd6166ed575ec17f2ec0f81ff08a8c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpc_1_1_codec.html">Codec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#ab0fd6166ed575ec17f2ec0f81ff08a8c">getCodec</a> ()</td></tr>
<tr class="memdesc:ab0fd6166ed575ec17f2ec0f81ff08a8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get inout codec (for writing).  <a href="#ab0fd6166ed575ec17f2ec0f81ff08a8c">More...</a><br /></td></tr>
<tr class="separator:ab0fd6166ed575ec17f2ec0f81ff08a8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9311a2ad7d10de7d3589383319acdf3c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#a9311a2ad7d10de7d3589383319acdf3c">getSequence</a> () const </td></tr>
<tr class="memdesc:a9311a2ad7d10de7d3589383319acdf3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get sequence number (be sure that reply belong to current request).  <a href="#a9311a2ad7d10de7d3589383319acdf3c">More...</a><br /></td></tr>
<tr class="separator:a9311a2ad7d10de7d3589383319acdf3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a717418b0a8461c283537f5545442d5ae"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#a717418b0a8461c283537f5545442d5ae">isOneway</a> () const </td></tr>
<tr class="memdesc:a717418b0a8461c283537f5545442d5ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns information if request context is oneway or not.  <a href="#a717418b0a8461c283537f5545442d5ae">More...</a><br /></td></tr>
<tr class="separator:a717418b0a8461c283537f5545442d5ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9608d02c606de0edf488c86a382743"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#a1d9608d02c606de0edf488c86a382743">setIsOneway</a> (bool oneway)</td></tr>
<tr class="memdesc:a1d9608d02c606de0edf488c86a382743"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set request context to be oneway type (only send data).  <a href="#a1d9608d02c606de0edf488c86a382743">More...</a><br /></td></tr>
<tr class="separator:a1d9608d02c606de0edf488c86a382743"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a59f91ebfc1ce5430545417820a8ee48d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59f91ebfc1ce5430545417820a8ee48d"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#a59f91ebfc1ce5430545417820a8ee48d">m_sequence</a></td></tr>
<tr class="memdesc:a59f91ebfc1ce5430545417820a8ee48d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sequence number. To be sure that reply belong to current request. <br /></td></tr>
<tr class="separator:a59f91ebfc1ce5430545417820a8ee48d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9873eb3ce2fa3cdb00bb9fbfd6d9e4e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9873eb3ce2fa3cdb00bb9fbfd6d9e4e5"></a>
<a class="el" href="classerpc_1_1_codec.html">Codec</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#a9873eb3ce2fa3cdb00bb9fbfd6d9e4e5">m_codec</a></td></tr>
<tr class="memdesc:a9873eb3ce2fa3cdb00bb9fbfd6d9e4e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inout codec. <a class="el" href="classerpc_1_1_codec.html" title="Abstract serialization encoder/decoder interface. ">Codec</a> for receiving and sending data. <br /></td></tr>
<tr class="separator:a9873eb3ce2fa3cdb00bb9fbfd6d9e4e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40897d6c28314b53771f9f21626d1794"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40897d6c28314b53771f9f21626d1794"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpc_1_1_request_context.html#a40897d6c28314b53771f9f21626d1794">m_oneway</a></td></tr>
<tr class="memdesc:a40897d6c28314b53771f9f21626d1794"><td class="mdescLeft">&#160;</td><td class="mdescRight">When true, request context will be oneway type (only send data). <br /></td></tr>
<tr class="separator:a40897d6c28314b53771f9f21626d1794"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Encapsulates all information about a request. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae48f8baa20da5d4ac5da77e83758e6a5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">erpc::RequestContext::RequestContext </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>sequence</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classerpc_1_1_codec.html">Codec</a> *&#160;</td>
          <td class="paramname"><em>codec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isOneway</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>This function sets request context attributes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sequence</td><td>Sequence number. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">codec</td><td>Set in inout codec. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">isOneway</td><td>Set information if codec is only oneway or bidirectional. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ab0fd6166ed575ec17f2ec0f81ff08a8c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpc_1_1_codec.html">Codec</a>* erpc::RequestContext::getCodec </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get inout codec (for writing). </p>
<dl class="section return"><dt>Returns</dt><dd>Inout codec. </dd></dl>

</div>
</div>
<a class="anchor" id="a9311a2ad7d10de7d3589383319acdf3c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t erpc::RequestContext::getSequence </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get sequence number (be sure that reply belong to current request). </p>
<dl class="section return"><dt>Returns</dt><dd>Sequence number. </dd></dl>

</div>
</div>
<a class="anchor" id="a717418b0a8461c283537f5545442d5ae"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool erpc::RequestContext::isOneway </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns information if request context is oneway or not. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">True</td><td>when request context is oneway direction, else false. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1d9608d02c606de0edf488c86a382743"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpc::RequestContext::setIsOneway </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>oneway</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set request context to be oneway type (only send data). </p>
<dl class="section return"><dt>Returns</dt><dd>Set request context to be oneway. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="client__manager_8h_source.html">client_manager.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
